using System.Diagnostics.CodeAnalysis;

using Syntriax.Engine.Physics2D.Abstract;

namespace Syntriax.Engine.Physics2D;

public interface ICollisionDetector
{
    bool TryDetect<T1, T2>(T1 left, T2 right, [NotNullWhen(returnValue: true)] out CollisionDetectionInformation? collisionInformation) where T1 : ICollider2D where T2 : ICollider2D;
}
